package com.ho.td.service;

import com.ho.datacollect.api.vo.req.add.TdDeviceAddReq;
import com.ho.td.api.entity.query.TdBaseTimeQuery;

import java.util.List;

public interface Device001Service {

    /**
     * 更改历史值
     * @param query
     * @return
     */
    int modifyHistoryData(TdBaseTimeQuery query);

    void insertDeviceSimple(TdDeviceAddReq device);

    void insertDeviceComplex(List<Integer> complexTableList,TdDeviceAddReq device);

    /**
     * 动态插入sql
     * @param device
     */
    void insertDynamicSimple(TdDeviceAddReq device);
}
